unit about;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, RzPanel,shellapi;

type
  TAboutBox = class(TForm)
    RzPanel1: TRzPanel;
    RzPanel7: TRzPanel;
    Image3: TImage;
    Image1: TImage;
    RzPanel5: TRzPanel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    RzPanel8: TRzPanel;
    Label1: TLabel;
    Label5: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Label1Click(Sender: TObject);

    procedure Label6MouseEnter(Sender: TObject);
    procedure Label6MouseLeave(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Label3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

uses Unit1,parseinf;

{$R *.dfm}

procedure TAboutBox.Label6MouseEnter(Sender: TObject);
begin
(Sender as TLabel).Font.Color:=$00149BF0;
(Sender as TLabel).Font.Style:=[fsbold,fsUnderline];
end;

procedure TAboutBox.Label6MouseLeave(Sender: TObject);
begin
(Sender as TLabel).Font.Color:=$00B35A6E;
(Sender as TLabel).Font.Style:=[fsbold];

end;


procedure TAboutBox.FormCreate(Sender: TObject);
begin
aboutbox.RzPanel7.Caption:=form1.Label6.Caption;
//aboutbox.label4.Caption:=aboutbox.label4.Caption+#13+DateToStr( GetBuildTime);
end;

procedure TAboutBox.Label1Click(Sender: TObject);
begin
close;
end;

procedure TAboutBox.Label2Click(Sender: TObject);
begin
ShellExecute(0,PChar('open'),
               PChar('http://WWW.DTS.Idhost.KZ'),
               Nil,Nil,SW_SHOW);
end;

procedure TAboutBox.Label3Click(Sender: TObject);
begin
ShellExecute(0,PChar('open'),
               PChar('http://forum.oszone.net/newpostinthread-205822.html'),
               Nil,Nil,SW_SHOW);

end;

end.

